多个版本Tensorflow安装简单记录

Tensorflow 2.8(最新版本)

若均使用Conda可以直接进入下一部分(目前Anaconda最高可以安装 Tensorflow 2.6)

系统环境下安装最新版本参看:

Anaconda + Tensorflow 1.12

(GPU支持失败)由于本机显卡RTX 3060,CUDA最低支持11,而 Tensorflow 1.12 最高支持到 10

由于需要兼容某平台的使用,故本机安装Tensorflow 1.12 记录如下:

  1. 安装 Anaconda参看:
    Anaconda环境下tensorflow1.12.0保姆式安装及相关奶妈级配置

    • 安装cuda和cudnn部分不建议参考
    • 设置环境变量部分选择参考,本人因为开始在系统环境(非 Anaconda)安装好了python和tf2.8,为了继续使用该环境所以没有设置环境变量
  2. 安装 对应版本的cuda、cudnn,参看:
    使用Anaconda 创建指定cuda 版本的虚拟环境

  3. 安装 Tensorflow 1.12
    替换为清华的源后直接安装

    conda install tensorflow=1.12
    conda install -c anaconda keras=2.2.4
    
  4. 降级 numpy 参看:
    《tensorflow和numpy对应的版本》

    conda install numpy==1.15
    

WSL + Ubuntu 22 + Tensorflow 1.15 (待测试)

miniconda & python 3.8
WSL配置(Ubuntu+miniconda+vscode)
参看:
在python 3.8 / CUDA 11环境下安装tensorflow 1.15
NVIDIA tensorflow git
Windows10/11 WSL2 安装nvidia-cuda驱动

目前已安装成功的环境

系统环境:

  • 电脑:Redmi G 2021 锐龙版
  • 操作系统:Windows 10 家庭中文版 21H1
  • 显卡:GeForce RTX 3060 Laptop
  • 驱动:Nvidia Studio 512.59

Tensorflow2.8环境:
Python 3.9.12 + CUDA 11.6.2 + cuDNN 8.3.3 + Tensorflow 2.8.0

import tensorflow as tf
tf.test.is_gpu_available()

Tensorflow 1.12环境(若安装cuda9能检测到GPU,但运行报错):
Python 3.6 + Tensorflow 1.12.0 + Keras 2.2.4

import tensorflow as tf
tf.config.list_physical_devices('GPU')

文章出处登录后可见!

已经登录?立即刷新

共计人评分,平均

到目前为止还没有投票!成为第一位评论此文章。

(0)
上一篇 2022年5月21日 下午1:40
下一篇 2022年5月21日 下午1:44

相关推荐

本站注重文章个人版权,不会主动收集付费或者带有商业版权的文章,如果出现侵权情况只可能是作者后期更改了版权声明,如果出现这种情况请主动联系我们,我们看到会在第一时间删除!本站专注于人工智能高质量优质文章收集,方便各位学者快速找到学习资源,本站收集的文章都会附上文章出处,如果不愿意分享到本平台,我们会第一时间删除!